This is 0.22 v0.22
authorVincent Pit <vince@profvince.com>
Wed, 30 Jan 2013 23:30:43 +0000 (21:30 -0200)
committerVincent Pit <vince@profvince.com>
Wed, 30 Jan 2013 23:30:43 +0000 (21:30 -0200)
Changes
META.json
META.yml
README
lib/Scope/Upper.pm

diff --git a/Changes b/Changes
index e1c7fc5..94621c0 100644 (file)
--- a/Changes
+++ b/Changes
@@ -1,5 +1,18 @@
 Revision history for Scope-Upper
 
+0.22    2013-01-30 23:35 UTC
+        + Chg : perl 5.6.1 is required.
+        + Fix : context_info() now ignores %warnings::Bits for perl 5.8.6 and
+                below, just like caller().
+        + Fix : [RT #82220] : Scope-Upper-0.21 test stuck on Windows perl 5.12.3
+                t/93-pod-spelling.t will not crash anymore on perl 5.12 and
+                below.
+                Thanks Gabor Szabo for reporting and Slaven Rezic for debugging
+                this issue.
+        + Tst : Rare test failures of t/07-context_info.t on perl 5.6,
+                t/55-yield-target.t on perl 5.[68], and t/63-uplevel-ctl.t on
+                perl 5.8.[345] have been addressed.
+
 0.21    2012-09-21 15:10 UTC
         + Fix : context_info() has been taught about perl 5.17.4.
         + Fix : t/07-context_info.t will no longer fail with perls that have
index 4ab1b3d..b5a11ee 100644 (file)
--- a/META.json
+++ b/META.json
@@ -4,7 +4,7 @@
       "Vincent Pit <perl@profvince.com>"
    ],
    "dynamic_config" : 1,
-   "generated_by" : "ExtUtils::MakeMaker version 6.6302, CPAN::Meta::Converter version 2.120921",
+   "generated_by" : "ExtUtils::MakeMaker version 6.64, CPAN::Meta::Converter version 2.120921",
    "license" : [
       "perl_5"
    ],
@@ -22,6 +22,7 @@
    "prereqs" : {
       "build" : {
          "requires" : {
+            "Config" : "0",
             "Exporter" : "0",
             "ExtUtils::MakeMaker" : "0",
             "Test::More" : "0",
@@ -40,7 +41,7 @@
             "Exporter" : "0",
             "XSLoader" : "0",
             "base" : "0",
-            "perl" : "5.006"
+            "perl" : "5.006001"
          }
       }
    },
@@ -57,5 +58,5 @@
          "url" : "http://git.profvince.com/?p=perl%2Fmodules%2FScope-Upper.git"
       }
    },
-   "version" : "0.21"
+   "version" : "0.22"
 }
index b7bfdfa..bf7c8b4 100644 (file)
--- a/META.yml
+++ b/META.yml
@@ -3,6 +3,7 @@ abstract: 'Act on upper scopes.'
 author:
   - 'Vincent Pit <perl@profvince.com>'
 build_requires:
+  Config: 0
   Exporter: 0
   ExtUtils::MakeMaker: 0
   Test::More: 0
@@ -12,7 +13,7 @@ configure_requires:
   Config: 0
   ExtUtils::MakeMaker: 0
 dynamic_config: 1
-generated_by: 'ExtUtils::MakeMaker version 6.6302, CPAN::Meta::Converter version 2.120921'
+generated_by: 'ExtUtils::MakeMaker version 6.64, CPAN::Meta::Converter version 2.120921'
 license: perl
 meta-spec:
   url: http://module-build.sourceforge.net/META-spec-v1.4.html
@@ -26,10 +27,10 @@ requires:
   Exporter: 0
   XSLoader: 0
   base: 0
-  perl: 5.006
+  perl: 5.006001
 resources:
   bugtracker: http://rt.cpan.org/NoAuth/ReportBug.html?Queue=Scope-Upper
   homepage: http://search.cpan.org/dist/Scope-Upper/
   license: http://dev.perl.org/licenses/
   repository: http://git.profvince.com/?p=perl%2Fmodules%2FScope-Upper.git
-version: 0.21
+version: 0.22
diff --git a/README b/README
index 1e4c0a4..89b7741 100644 (file)
--- a/README
+++ b/README
@@ -2,7 +2,7 @@ NAME
     Scope::Upper - Act on upper scopes.
 
 VERSION
-    Version 0.21
+    Version 0.22
 
 SYNOPSIS
     "reap", "localize", "localize_elem", "localize_delete" and "WORDS" :
@@ -738,7 +738,7 @@ CAVEATS
     version from Sub::Uplevel.
 
 DEPENDENCIES
-    perl 5.6.
+    perl 5.6.1.
 
     A C compiler. This module may happen to build with a C++ compiler as
     well, but don't rely on it, as no guarantee is made in this regard.
@@ -785,7 +785,8 @@ ACKNOWLEDGEMENTS
     Thanks to Shawn M. Moore for motivation.
 
 COPYRIGHT & LICENSE
-    Copyright 2008,2009,2010,2011,2012 Vincent Pit, all rights reserved.
+    Copyright 2008,2009,2010,2011,2012,2013 Vincent Pit, all rights
+    reserved.
 
     This program is free software; you can redistribute it and/or modify it
     under the same terms as Perl itself.
index a6d85d2..0a4bcf7 100644 (file)
@@ -9,13 +9,13 @@ Scope::Upper - Act on upper scopes.
 
 =head1 VERSION
 
-Version 0.21
+Version 0.22
 
 =cut
 
 our $VERSION;
 BEGIN {
- $VERSION = '0.21';
+ $VERSION = '0.22';
 }
 
 =head1 SYNOPSIS